/**
 * 
 */


function Grid(width, height) {

	var verts = [];

	for (var y = 0; y <= height; y++) {

		var yf = (y / height - 0.5) * 2.0;

		for (var x = 0; x <= width; x++) {

			var xf = (x / width - 0.5) * 2.0;

			verts.push(xf);
			verts.push(yf);
			
			// console.log("y:"+yf + " x:"+xf);
		}
	}

	var cols = width;
	var rows = height;
	
	var ts = [];

	for (var y = 0; y < height; y++) {
		
		for (var x = 0; x < width; x++) {
			
			var index = y * (width+1) + x;
			
			ts.push(index);
			ts.push(index + 1);
			ts.push(index + (width+1));

			ts.push(index + 1);
			ts.push(index + (width + 1 + 1));
			ts.push(index + (width+1));

		}
	}
	
	
	/*for (var i = 0; i < ts.length; i++) {
		
		console.log("i " + ts[i] + " (" + i + ")");
		
	}*/
	
	// console.log("isz:" + ts.length);
		
	this.numIndices = ts.length;
	
	this.vBuffer = gl.createBuffer();
	this.iBuffer = gl.createBuffer();
	
	gl.bindBuffer(gl.ARRAY_BUFFER, this.vBuffer);
	gl.bufferData(gl.ARRAY_BUFFER, new Float32Array(verts), gl.STATIC_DRAW);
	
	gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, this.iBuffer);
	gl.bufferData(gl.ELEMENT_ARRAY_BUFFER, new Uint16Array(ts), gl.STATIC_DRAW);

	
	this.render = function(shaderProgram) {

		gl.useProgram(shaderProgram);

		gl.bindBuffer(gl.ARRAY_BUFFER, this.vBuffer);
		gl.enableVertexAttribArray(shaderProgram.vertexPositionAttribute);
		gl.vertexAttribPointer(shaderProgram.vertexPositionAttribute, 2, gl.FLOAT, false, 0, 0);

		gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, this.iBuffer);
		
		// console.log("ni " + this.numIndices);
		
		gl.drawElements(gl.TRIANGLES, this.numIndices, gl.UNSIGNED_SHORT, 0);

	}
	

}
