/**
 * 
 */

function getMousePos(canvas, evt) {
	var rect = canvas.getBoundingClientRect();
	return new DropletEmitter(
		(((evt.clientX - rect.left) / canvas.width) - 0.5) * 2.0,
		(((evt.clientY - rect.top) / canvas.height) - 0.5) * -2.0
		);
}

function getTouchPos(canvas, e) {
	e.preventDefault();

	var rect = canvas.getBoundingClientRect();

	var evt = e.changedTouches[0]

	return new DropletEmitter(
		(((evt.pageX - rect.left) / canvas.width) - 0.5) * 2.0,
		(((evt.pageY - rect.top) / canvas.height) - 0.5) * -2.0
		);
}

var mmc = 0;

function initTouchEvents() {
	
	var el = document.getElementById("glcanvas");

	el.addEventListener("click", function(e) {
		
		// console.log("down " + mmc++);
		// launchFullscreen();
		
		Droplets.addDropletSplash(getMousePos(glcanvas, e));
	}, false);

	el.addEventListener("mousemove", function(e) {
		
		// console.log("move " + mmc++);
		
		// Droplets.addDroplet(getMousePos(glcanvas, e));
	}, false);

	el.addEventListener("touchstart", function(e) {
		Droplets.addDropletSplash(getTouchPos(glcanvas, e));
	}, false);

	el.addEventListener("touchmove", function(e) {
		// Droplets.addDroplet(getTouchPos(glcanvas, e));
	}, false);

	console.log("touch events initialized.");
}


