    attribute highp vec2 aPos;

	varying mediump vec4 color;
	varying highp vec2 pos;
	varying highp vec2 mPos;
	varying highp vec2 hPos;
	varying highp vec2 sPos;

	uniform highp float uTime;
	
	uniform highp float uColorScale;
	
	varying highp float ut;

    varying mediump float brightness;

    void main(void) {
        gl_Position = vec4(aPos, 0.0, 1.0);
		
		pos = aPos;
		mPos = pos;

		#include "gridcolor.h"

		color.rgb *= mix(vec3(1.0), vec3(77.0/255.0, 118.0/255.0, 78.0/255.0), dist);

		color *= uColorScale;
        brightness = max(uColorScale - 1.0, 0.0);

		ut = sin(uTime * 0.8);
    }
